% Exercise 32
% Plots of the Mexican Hat on the interval [-3,3] x [-3,3] without the use
% of for loops. Mesh, surf and contour are used. Matrices are used for the
% parameters.
%
%D. T. de Jong 07-12-2014

x = linspace(-3,3,100);
y = linspace(-3,3,100);

[X, Y] = meshgrid(x, y); % transforms vectors x and y into two-dimensional
                         % arrays X and Y that can be used with dot
                         % operations to compute Z.
Z = (1-X.^2-Y.^2).*exp(-0.5*(X.^2+Y.^2));    % use dot operations

mesh(X,Y,Z)
xlabel('x')
ylabel('y')
zlabel('z')
title('Mesh of Mexican Hat')

pause                    

surf(X,Y,Z)
xlabel('x')
ylabel('y')
zlabel('z')
title('Surf of Mexican Hat')

pause                   

contour(X,Y,Z)
xlabel('x')
ylabel('y')
zlabel('z')
title('Contour of Mexican Hat')



%% Note: If too many points are used to make the plots, the surf plot will be black
%% This is because its standard edge colour is black:

% Example
x = linspace(-3,3,500);
y = linspace(-3,3,500);
[X, Y] = meshgrid(x, y);
Z = (1-X.^2-Y.^2).*exp(-0.5*(X.^2+Y.^2));

pause

surf(X,Y,Z)
xlabel('x')
ylabel('y')
zlabel('z')
title('Black surf of Mexican Hat')






