% New 34, Normalized d-orbital
%
% D.T. de Jong 08-12-2014
%%

%2 plots: first one is contour, as asked/ The second one with surf (just
%as a check!)

%dorb=3dz^2 orbita. dzeta=d
d=3; % dzeta=d
y=linspace(-4,4); %y interval
z=linspace(-4,4); %z interval
[Y,Z]=meshgrid(y,z);

%The orbital equation, dot-operations where encessary
N=(1/3)*sqrt(1/(2*pi))*d^(7/2);
r=sqrt(Y.^2+Z.^2); %because x is zero everywhere
dorb=N*r.^2.*exp(-d.*r).*(3*Z.^2-r.^2); %The function

figure(1) %contourplot
[c h]=contour(Y,Z,dorb,[-1:0.05:1]);
title('contourplot of normalized hydrogen 3d_z^2 orbital')
clabel(c,h,'Fontsize',6.5)
colorbar

%And the surf plot

figure(2)
surf(Y,Z,dorb)
title('dorb (surf)')
xlabel('y')
ylabel('z')
zlabel('dorb')









